Subject: bug#29821: Ensure quick substitution only occurs at start of line

From: Noam Postavsky <[email-masked]>
Date: Fri, 05 Jan 2018 09:31:36 -0500

tags 29821 fixed
close 29821 27.1
quit

Jay Kamat <[email-masked]> writes:

> Yup, that regex works perfectly for everything I tried, and preserves
> the white-space at the end of the target (as bash does). I think it's a
> good idea to follow bash as closely as possible.
>
> For convenience, I've attached a new patch with those changes.

Thanks, pushed to master (with slight changes to the commit message to
better reflect the expanded scope of this bug).

[1: 933d8fc0b7]: 2018-01-05 09:29:00 -0500
  Make eshell history expansion more like bash (Bug#29821)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=933d8fc0b70452f8a266e761231e58a759a7c80a